# TODO:
# - see why about.html isn't being copied on ppc
# - fix ant libs
Epoch:  1

%global eclipse_major   3
%global eclipse_minor   7
%global eclipse_majmin  %{eclipse_major}.%{eclipse_minor}
%global eclipse_micro   1
%global initialize      1
%global download_url    http://download.eclipse.org/technology/linuxtools/eclipse-build/3.7.x_Indigo/
%global bootstrap       0

# All arches line up between Eclipse and Linux kernel names except i386 -> x86
%ifarch %{ix86}
%global eclipse_arch    x86
%else
%global eclipse_arch   %{_arch}
%endif

# FIXME:  update java packaging guidelines for this.  See
# fedora-devel-java-list discussion in September 2008.
#
# Prevent brp-java-repack-jars from being run.
%define __jar_repack 0

Summary:        An open, extensible IDE
Name:           eclipse
Version:        %{eclipse_majmin}.%{eclipse_micro}
Release:        %mkrel 3
License:        EPL
Group:          Editors
URL:            http://www.eclipse.org/
# http://pkgs.fedoraproject.org/repo/pkgs/eclipse/
Source0:        %{download_url}eclipse-build-de0fa989dbe8ac96ffa5069829f2088b2714a38c.tar.xz 
Source1:        %{download_url}eclipse-3.7.1-src.tar.bz2
Source2:        eclipse.sh.in
# This script copies the platform sub-set of the SDK for generating metadata
Source28:       %{name}-mv-Platform.sh

Source30:       eclipse-equinox-osgi-pom-template.xml
Source31:       eclipse-equinox-osgi-services-pom-template.xml
Source32:       eclipse-equinox-osgi-util-pom-template.xml
Source40:       eclipse-reconciler.sh
Source41:       macros.eclipse
Source42:       eclipse-tmpfiles.conf

# Patch to allow xpcom.cpp to build under latest xulrunner which has removed
# a particular API and a type it depends on so we don't want to compile that
# API
Patch1:        eclipse-xpcom-h.patch
BuildRequires: ant ant-nodeps
BuildRequires: jpackage-utils >= 0:1.5, make, gcc
BuildRequires: java-rpmbuild
BuildRequires: gnome-vfs2-devel
BuildRequires: gtk2-devel
BuildRequires: glib2-devel
BuildRequires: libgnome2-devel
BuildRequires: libgnomeui2-devel
BuildRequires: gcc-c++
BuildRequires: nspr-devel
BuildRequires: libxtst-devel
BuildRequires: MesaGL-devel
BuildRequires: MesaGLU-devel
BuildRequires: cairo >= 1.0
BuildRequires: unzip
BuildRequires: desktop-file-utils
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: java-javadoc
BuildRequires: libxt-devel
BuildRequires: xulrunner-devel
BuildRequires: libwebkitgtk-devel
BuildRequires: rsync
BuildRequires: ant-antlr ant-apache-bcel ant-apache-log4j ant-apache-oro ant-apache-regexp ant-apache-resolver ant-commons-logging ant-apache-bsf ant-commons-net
BuildRequires: ant-javamail ant-jdepend ant-junit ant-swing ant-jsch ant-testutil ant-apache-xalan2 ant-jmf
BuildRequires: apache-commons-el >= 1.0-9
BuildRequires: jakarta-commons-logging >= 1.0.4-6jpp.3
BuildRequires: apache-commons-codec
BuildRequires: jakarta-commons-httpclient
BuildRequires: sat4j >= 2.2.0-1
BuildRequires: jsch >= 0:0.1.41
BuildRequires: hamcrest >= 0:1.1
BuildRequires: tomcat6-servlet-2.5-api >= 6.0.32
BuildRequires: tomcat6-jsp-2.1-api
BuildRequires: tomcat5-jasper-eclipse >= 5.5.31
BuildRequires: lucene >= 2.9.4
BuildRequires: lucene-contrib >= 2.9.4
BuildRequires: junit >= 3.8.1-3jpp
BuildRequires: junit4
BuildRequires: objectweb-asm >= 3.3.1
BuildRequires: icu4j-eclipse >= 1:4.4.2
BuildRequires: zip
BuildRequires: jetty-eclipse
BuildRequires: libsoup-devel
%description
The Eclipse platform is designed for building integrated development
environments (IDEs), server-side applications, desktop applications, and
everything in between.

%package     swt
Summary:        SWT Library for GTK+-2.0
Group:          Editors
# %{_jnidir} (/usr/lib/java) directory owned by jpackage-utils
Requires:       jpackage-utils
Requires:       gtk2
Requires:       xulrunner
Requires:       libwebkitgtk
Provides:       libswt3-gtk2 = 1:%{version}-%{release}
# The 20 is more than the currently (2008-06-25) latest 3.3.2 package
# but I want to leave some room in case we need to do an F9 update.
Obsoletes:       libswt3-gtk2 < 1:3.3.2-20

%description swt
SWT Library for GTK+-2.0.

%package        rcp
Summary:        Eclipse Rich Client Platform
Group:          Development/Java
Requires:       %{name}-swt = %{epoch}:%{version}-%{release}
Requires:       %{name}-equinox-osgi = %{epoch}:%{version}-%{release}
%if ! %{bootstrap}
Requires:       icu4j-eclipse >= 1:4.4.2
%endif
Requires:       java >= 1.6.0

%description    rcp
Eclipse Rich Client Platform

%package        platform
Summary:        Eclipse platform common files
Group:          Editors
Requires:   %{name}-rcp = %{epoch}:%{version}-%{release}
%if ! %{bootstrap}
Requires: ant-antlr ant-apache-bcel ant-apache-log4j ant-apache-oro ant-apache-regexp ant-apache-resolver ant-commons-logging ant-apache-bsf ant-commons-net
Requires: ant-javamail ant-jdepend ant-junit ant-nodeps ant-swing ant-jsch ant-testutil ant-apache-xalan2 ant-jmf
Requires: apache-commons-el >= 1.0-9
Requires: apache-commons-logging >= 1.0.4-6jpp.3
Requires: apache-commons-codec
Requires: tomcat5-jasper-eclipse >= 5.5.31
Requires: tomcat6-servlet-2.5-api >= 6.0.32
Requires: tomcat6-jsp-2.1-api
# use this require when we will have jetty6
#Requires: jetty-eclipse >= 6.1.24-1
Requires: jetty-eclipse >= 6.1.21-1
Requires: jsch >= 0.1.41
Requires: lucene >= 2.9.4
Requires: lucene-contrib >= 2.9.4
Requires: sat4j >= 2.2.0-1
%endif
Requires:       %{name}-equinox-osgi = %{epoch}:%{version}-%{release}
Provides: eclipse-cvs-client = 1:%{version}-%{release}
Obsoletes: eclipse-cvs-client < 1:3.3.2-20

%description    platform
The Eclipse Platform is the base of all IDE plugins.  This does not include the
Java Development Tools or the Plugin Development Environment.

%package        jdt
Summary:        Eclipse Java Development Tools
Group:          Editors 
Requires:       %{name}-platform = %{epoch}:%{version}-%{release}
Requires:       %{name}-cvs-client = %{epoch}:%{version}-%{release}
Requires(post): %{name}-platform = %{epoch}:%{version}-%{release}
Requires(postun): %{name}-platform = %{epoch}:%{version}-%{release}
%if ! %{bootstrap}
Requires:       junit >= 3.8.1-3jpp
Requires:       junit4
Requires:       jakarta-commons-httpclient
%endif
Requires:       java-javadoc
Requires:       java-devel

%description    jdt
Eclipse Java Development Tools.  This package is required to use Eclipse for
developing software written in the Java programming language.

%package        pde
Summary:        Eclipse Plugin Development Environment
Group:          Editors
Provides:       eclipse = %{epoch}:%{version}-%{release}
Provides:       eclipse-sdk = %{epoch}:%{version}-%{release}
Requires:       %{name}-platform = %{epoch}:%{version}-%{release}
Requires:       %{name}-jdt = %{epoch}:%{version}-%{release}
Requires(post): %{name}-platform = %{epoch}:%{version}-%{release}
Requires(postun): %{name}-platform = %{epoch}:%{version}-%{release}
%if ! %{bootstrap}
Requires:       objectweb-asm
Requires:       hamcrest >= 0:1.1
%endif
# For PDE Build wrapper script + creating jars
Requires:       zip
Requires:       bash
Provides:       %{name}-pde-runtime = 1:%{version}-%{release}
Obsoletes:      %{name}-pde-runtime < 1:3.3.2-20

%description    pde
Eclipse Plugin Development Environment.  This package is required for
developing Eclipse plugins.

%package       equinox-osgi
Summary:       Equinox OSGi framework
Group:         Development/Java
Requires:      tomcat6-servlet-2.5-api >= 6.0.32
Requires:      tomcat6-jsp-2.1-api

%description   equinox-osgi
Eclipse Plugin Development Environment.

This package includes only the Eclipse Equinox OSGi framework,
which can be used outside Eclipse. 

%prep
%setup -q -n eclipse-build-de0fa989dbe8ac96ffa5069829f2088b2714a38c
cp %{SOURCE1} .
ant -DbuildArch=%{eclipse_arch} applyPatches
pushd build/eclipse-3.7.1-src
#pushd plugins/org.eclipse.swt
#pushd Eclipse\ SWT\ Mozilla/common/library/
#%patch1
#popd
#popd

# Use our system-installed javadocs, reference only what we built, and
# don't like to osgi.org docs (FIXME:  maybe we should package them?)
sed -i -e "s|http://java.sun.com/j2se/1.4.2/docs/api|%{_datadir}/javadoc/java|" \
   -e "/osgi\.org/d" \
   -e "s|-breakiterator|;../org.eclipse.equinox.util/@dot\n;../org.eclipse.ecf.filetransfer_3.0.0.v20090302-0803.jar\n;../org.eclipse.ecf_3.0.0.v20090302-0803.jar\n-breakiterator|" \
    plugins/org.eclipse.platform.doc.isv/platformOptions.txt
sed -i -e "s|http://java.sun.com/j2se/1.5/docs/api|%{_datadir}/javadoc/java|" \
   -e "s/win32.win32.x86/gtk.linux.%{eclipse_arch}/" \
   plugins/org.eclipse.jdt.doc.isv/jdtOptions.txt
sed -i -e "s|http://java.sun.com/j2se/1.4/docs/api|%{_datadir}/javadoc/java|" \
   -e "s/motif.linux.x86/gtk.linux.%{eclipse_arch}/" \
   plugins/org.eclipse.pde.doc.user/pdeOptions.txt \
   plugins/org.eclipse.pde.doc.user/pdeOptions.txt

# FIXME:  do this as part of eclipse-build
#
# the swt version is set to HEAD on s390x but shouldn't be
# get swt version
#SWT_MAJ_VER=$(grep maj_ver plugins/org.eclipse.swt/Eclipse\ SWT/common/library/make_common.mak | cut -f 2 -d =)
#SWT_MIN_VER=$(grep min_ver plugins/org.eclipse.swt/Eclipse\ SWT/common/library/make_common.mak | cut -f 2 -d =)
#SWT_VERSION=$SWT_MAJ_VER$SWT_MIN_VER
#swt_frag_ver=$(grep v$SWT_VERSION plugins/org.eclipse.swt.gtk.linux.x86/build.xml | sed "s:.*<.*\"\(.*\)\" />:\1:")
#swt_frag_ver_s390x=$(grep "version\.suffix\" value=" plugins/org.eclipse.swt.gtk.linux.s390x/build.xml | sed "s:.*<.*\"\(.*\)\" />:\1:")
#sed --in-place "s|$swt_frag_ver_s390x|$swt_frag_ver|g" plugins/org.eclipse.swt.gtk.linux.s390x/build.xml \
#                                                      plugins/org.eclipse.swt.gtk.linux.s390x/META-INF/MANIFEST.MF

#fix for glib 2.31 not allowing include of anything else but glib
sed -i -e "s|#include <glib/gslist.h>||g" plugins/org.eclipse.core.net/natives/unix/gnomeproxy.c

%if ! %{bootstrap}
# make sure there are no jars left
JARS=""
for j in $(find -name \*.jar); do
  if [ ! -L $j ]; then
    JARS="$JARS `echo $j`"
  fi
done
if [ ! -z "$JARS" ]; then
    echo "These jars should be deleted and symlinked to system jars: $JARS"
   #FIXME: enable  exit 1
fi
%endif

popd

%build
export JAVA_HOME=%{java_home}
ant provision.cvs

%install
rm -rf $RPM_BUILD_ROOT
ant -DdestDir=$RPM_BUILD_ROOT -Dprefix=/usr -Dmultilib=true installSDKinDropins

# We don't need icon.xpm
# https://bugs.eclipse.org/292472
rm $RPM_BUILD_ROOT/%{_libdir}/%{name}/icon.xpm

# Set GDK_NATIVE_WINDOWS=true
# https://bugzilla.redhat.com/531675 (https://bugs.eclipse.org/290395)
rm $RPM_BUILD_ROOT/%{_bindir}/%{name}
install -p -D -m0755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}

sed --in-place "s:/usr/lib:%{_libdir}:" \
		$RPM_BUILD_ROOT%{_bindir}/%{name}

pushd $RPM_BUILD_ROOT%{_libdir}/%{name}
# Create file listings for the extracted shared libraries
echo -n "" > %{_builddir}/%{buildsubdir}/%{name}-platform.install;
for id in `ls configuration/org.eclipse.osgi/bundles`; do
  if [ "Xconfiguration" = $(echo X`find configuration/org.eclipse.osgi/bundles/$id -name libswt\*.so` | sed "s:/.*::") ]; then
    echo "%verify(not mtime) %{_libdir}/%{name}/configuration/org.eclipse.osgi/bundles/$id" > %{_builddir}/%{buildsubdir}/%{name}-swt.install;
  else
    echo "%verify(not mtime) %{_libdir}/%{name}/configuration/org.eclipse.osgi/bundles/$id" >> %{_builddir}/%{buildsubdir}/%{name}-platform.install;
  fi
done
popd

# Remove state files
pushd $RPM_BUILD_ROOT%{_libdir}/%{name}/configuration/org.eclipse.osgi/
       rm -rf .bundledata* .lazy* .manager .state*
popd

#install the reconciler script
cp -p %{SOURCE40} $RPM_BUILD_ROOT%{_bindir}/

#install .so extaction paterns file
cp -p extract_patterns.txt $RPM_BUILD_ROOT/%{_libdir}/%{name}/

# Symlinks to the SWT JNI shared libraries in %%{_libdir}/eclipse
pushd $RPM_BUILD_ROOT%{_libdir}/%{name}
for lib in $(find configuration -name libswt\*.so); do
  ln -s $lib `basename $lib`
done
popd

# Temporary fix until https://bugs.eclipse.org/294877 is resolved
sed -i "s|-Xms40m|-Xms128m|g" $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
sed -i "s|-Xmx384m|-Xmx512m|g" $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init>" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini

# SWT JAR symlink in jnidir
mkdir -p %{buildroot}%{_jnidir}
pushd $RPM_BUILD_ROOT%{_libdir}/%{name}
ln -s ../%{name}/swt.jar ../java/swt.jar
popd
#ln -s %{_libdir}/%{name}/swt-gtk.jar %{buildroot}%{_jnidir}/swt.jar
#ln -s %{_libdir}/%{name}/swt-gtk-%{eclipse_majmin}.%{eclipse_micro}.jar %{buildroot}%{_jnidir}/swt.jar

# A sanity check.
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

# Create a script that can be used to make a symlink tree of the
# eclipse platform.
cp -p pdebuild/eclipse-copy-platform.sh copy-platform
(
  cd $RPM_BUILD_ROOT%{_libdir}/%{name}
  ls -d * | grep -E -v '^(plugins|features|about_files|dropins)$'
  ls -d plugins/* features/*
) |
sed -e's,^\(.*\),[ ! -e \1 ] \&\& ln -s $eclipse/\1 \1,' >> copy-platform
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/buildscripts
mv copy-platform $RPM_BUILD_ROOT%{_libdir}/%{name}/buildscripts
copyPlatform=$RPM_BUILD_ROOT%{_libdir}/%{name}/buildscripts/copy-platform

# This symlink is actually provided by the icu4j-eclipse package
# We need to remove this *after* copy-platform creation otherwise
# copy-platform gets generated wrong.
rm $RPM_BUILD_ROOT/%{_libdir}/%{name}/plugins/com.ibm.icu_*.jar

pushd $RPM_BUILD_ROOT%{_libdir}/%{name}
for p in $(ls -d dropins/jdt/plugins/*); do
    plugin=$(basename $p)
    echo $p | sed -e"s,^\(.*\),[ ! -e plugins/$plugin ] \&\& ln -s \$eclipse/\1 plugins/$plugin," >> $copyPlatform
done
for p in $(ls -d dropins/sdk/plugins/*); do
    plugin=$(basename $p)
    echo $p | sed -e"s,^\(.*\),[ ! -e plugins/$plugin ] \&\& ln -s \$eclipse/\1 plugins/$plugin," >> $copyPlatform
done
popd

# Install the PDE Build wrapper script.
install -p -D -m0755 pdebuild/eclipse-pdebuild.sh \
  $RPM_BUILD_ROOT%{_libdir}/%{name}/buildscripts/pdebuild
PDEBUILDVERSION=$(ls $RPM_BUILD_ROOT%{_libdir}/%{name}/dropins/sdk/plugins \
  | grep org.eclipse.pde.build_ | \
  sed 's/org.eclipse.pde.build_//')
sed -i "s/@PDEBUILDVERSION@/$PDEBUILDVERSION/g" \
  $RPM_BUILD_ROOT%{_libdir}/%{name}/buildscripts/pdebuild

# Spring Framework BR
mkdir -p $RPM_BUILD_ROOT%{_javadir}
OSGIVERSION=$(echo $(ls $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins | grep org.eclipse.osgi_ | sed 's/org.eclipse.osgi_//') | sed 's/.jar//')
ln -s %{_libdir}/%{name}/plugins/org.%{name}.osgi_$OSGIVERSION.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-osgi.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE30} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-osgi.pom
sed -i "s|@OSGIVERSION@|$OSGIVERSION|" $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-osgi.pom
%add_to_maven_depmap org.%{name}.osgi org.%{name}.osgi $OSGIVERSION JPP %{name}-osgi

SERVICESVERSION=$(echo $(ls $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins | grep org.eclipse.osgi.services_ | sed 's/org.eclipse.osgi.services_//') | sed 's/.jar//')
ln -s %{_libdir}/%{name}/plugins/org.%{name}.osgi.services_$SERVICESVERSION.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-osgi-services.jar

install -pm 644 %{SOURCE31} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-osgi-services.pom
sed -i "s|@OSGIVERSION@|$OSGIVERSION|" $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-osgi-services.pom
sed -i "s|@SERVICESVERSION@|$SERVICESVERSION|" $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-osgi-services.pom
%add_to_maven_depmap org.%{name}.osgi org.%{name}.osgi.services $SERVICESVERSION JPP %{name}-osgi-services

UTILVERSION=$(echo $(ls $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins | grep org.eclipse.osgi.util_ | sed 's/org.eclipse.osgi.util_//') | sed 's/.jar//')
ln -s %{_libdir}/%{name}/plugins/org.%{name}.osgi.util_$UTILVERSION.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-osgi-util.jar

install -pm 644 %{SOURCE32} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-osgi-util.pom
sed -i "s|@OSGIVERSION@|$OSGIVERSION|" $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-osgi-util.pom
sed -i "s|@UTILVERSION@|$UTILVERSION|" $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-osgi-util.pom
%add_to_maven_depmap org.%{name}.osgi org.%{name}.osgi.util $UTILVERSION JPP %{name}-osgi-util

mv $RPM_BUILD_ROOT%{_mavendepmapfragdir}/%{name} $RPM_BUILD_ROOT%{_mavendepmapfragdir}/%{name}-osgi

%pre rcp
# Remove all the profiles that were created by the reconciler.
# this rpm will install a new profile and it will be reconciled
# by running the reconciler in %post platform
rm -rf %{_libdir}/%{name}/p2/org.eclipse.equinox.p2.engine/profileRegistry/PlatformProfile.profile/*

%post platform
# all other plugins which may have already been installed in the system.
eclipse-reconciler.sh -clean > /dev/null

%preun platform
# Because of our use of the reconciler there are files which are created
# during installation which rpm does not know about. These files must
# be removed here.

# Remove all configuration files created by the reconciler so that we
# can have a clean uninstall.
rm -rf %{_libdir}/%{name}/p2/org.eclipse.equinox.p2.core/cache
rm -rf %{_libdir}/%{name}/configuration/org.eclipse.equinox.app
rm -rf %{_libdir}/%{name}/configuration/org.eclipse.core.runtime
rm -rf %{_libdir}/%{name}/configuration/org.eclipse.osgi/bundles/*/data
rm -rf %{_libdir}/%{name}/configuration/org.eclipse.equinox.source/
rm -rf %{_libdir}/%{name}/configuration/org.eclipse.update/

# Remove .bundledata* .lazy* .manager .state*
rm -rf %{_libdir}/%{name}/configuration/org.eclipse.osgi/.bundledata*
rm -rf %{_libdir}/%{name}/configuration/org.eclipse.osgi/.lazy*
rm -rf %{_libdir}/%{name}/configuration/org.eclipse.osgi/.manager
rm -rf %{_libdir}/%{name}/configuration/org.eclipse.osgi/.state*

# Delete all empty bundle directories.
find %{_libdir}/%{name}/configuration/org.eclipse.osgi/bundles/ -depth -type d -empty -delete

# Delete orphaned profile files
find %{_libdir}/%{name}/p2/org.eclipse.equinox.p2.engine/profileRegistry/PlatformProfile.profile/* | while read file
do
  rpm -qf "$file" >/dev/null
  if [ $? != 0 ]; then rm -f $file; fi
done

%post jdt
eclipse-reconciler.sh > /dev/null

%postun jdt
eclipse-reconciler.sh > /dev/null

%post pde
eclipse-reconciler.sh > /dev/null

%postun pde
eclipse-reconciler.sh > /dev/null

%pre jdt
# workaround for rpm bug, can be removed in F-20 Fixes the problem with efj being directory instead of launcher
rm -rf %{_bindir}/efj/

%if %{initialize}
%files swt -f %{name}-swt.install
%else
%files swt
%endif
%defattr(-,root,root)
%dir %{_libdir}/%{name}/features
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%if %{initialize}
%{_libdir}/%{name}/libswt-*.so
%dir %{_libdir}/%{name}/configuration
%dir %{_libdir}/%{name}/configuration/org.eclipse.osgi
%dir %{_libdir}/%{name}/configuration/org.eclipse.osgi/bundles
%endif
%{_libdir}/%{name}/notice.html
%{_libdir}/%{name}/epl-v10.html
%{_libdir}/%{name}/plugins/org.eclipse.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.swt.gtk.linux.%{eclipse_arch}_*
%{_libdir}/%{name}/swt-gtk*.jar
%{_libdir}/%{name}/swt.jar
%{_jnidir}/swt.jar

%files rcp
%defattr(-,root,root)
%dir %{_datadir}/%{name}
%if %{bootstrap}
%{_libdir}/%{name}/plugins/com.ibm.icu_*
%endif
%verify(not md5 size mtime) %dir %{_libdir}/%{name}/configuration
%verify(not md5 size mtime) %{_libdir}/%{name}/configuration/config.ini
%verify(not md5 size mtime) %{_libdir}/%{name}/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info
%verify(not md5 size mtime) %dir %{_libdir}/%{name}/configuration/org.eclipse.equinox.simpleconfigurator
%ifnarch ppc ppc64
%{_libdir}/%{name}/about.html
%endif
%ifarch x86_64
%{_libdir}/%{name}/about_files
%endif
%{_libdir}/%{name}/readme
%{_libdir}/%{name}/features/org.eclipse.rcp_*
%{_libdir}/%{name}/plugins/org.eclipse.core.commands_*
%{_libdir}/%{name}/plugins/org.eclipse.core.contenttype_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.beans_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.observable_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.property_*
%{_libdir}/%{name}/plugins/org.eclipse.core.expressions_*
%{_libdir}/%{name}/plugins/org.eclipse.core.jobs_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime.compatibility.auth_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.app_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.common_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.launcher_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.launcher.gtk.linux.%{eclipse_arch}_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.preferences_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.util_*
%{_libdir}/%{name}/plugins/org.eclipse.help_*
%{_libdir}/%{name}/plugins/org.eclipse.jface_*
%{_libdir}/%{name}/plugins/org.eclipse.jface.databinding_*
%{_libdir}/%{name}/plugins/org.eclipse.rcp_*
%{_libdir}/%{name}/plugins/org.eclipse.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.workbench_*
%{_libdir}/%{name}/plugins/org.eclipse.update.configurator_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.simpleconfigurator_*
%{_libdir}/%{name}/configuration/org.eclipse.osgi

%if %{initialize}
%files platform -f %{name}-platform.install
%else
%files platform
%endif
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/%{name}
%{_libdir}/%{name}/.eclipseproduct
%config %{_libdir}/%{name}/eclipse.ini
%verify(not md5 size mtime) %config %{_sysconfdir}/eclipse.ini
%ifnarch ppc ppc64
%{_libdir}/%{name}/about_files
%endif
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/*/*/apps/*
%{_bindir}/eclipse-reconciler.sh
%{_libdir}/%{name}/eclipse
%{_libdir}/%{name}/extract_patterns.txt
%dir %{_libdir}/%{name}/dropins
%dir %{_datadir}/%{name}/dropins
%{_libdir}/%{name}/features/org.eclipse.platform_*
%{_libdir}/%{name}/plugins/com.jcraft.jsch_*
%{_libdir}/%{name}/plugins/javax.servlet_*
%{_libdir}/%{name}/plugins/javax.servlet.jsp_*
%{_libdir}/%{name}/plugins/org.apache.ant_*
%{_libdir}/%{name}/plugins/org.apache.commons.el_*
%{_libdir}/%{name}/plugins/org.apache.commons.logging_*
%{_libdir}/%{name}/plugins/org.apache.lucene.core_*
%{_libdir}/%{name}/plugins/org.apache.lucene.analysis_*
%{_libdir}/%{name}/plugins/org.eclipse.ant.core_*
%{_libdir}/%{name}/plugins/org.eclipse.compare_*
%{_libdir}/%{name}/plugins/org.eclipse.compare.core_*
%{_libdir}/%{name}/plugins/org.eclipse.core.boot_*
%{_libdir}/%{name}/plugins/org.eclipse.core.externaltools_*
%{_libdir}/%{name}/plugins/org.eclipse.core.filebuffers_*
%{_libdir}/%{name}/plugins/org.eclipse.core.filesystem_*
%{_libdir}/%{name}/plugins/org.eclipse.core.filesystem.linux.%{eclipse_arch}_*
%{_libdir}/%{name}/plugins/org.eclipse.core.net_*
%{_libdir}/%{name}/plugins/org.eclipse.core.net.linux.*
%ifarch %{ix86}
%{_libdir}/%{name}/plugins/org.eclipse.update.core.linux_*
%endif
%{_libdir}/%{name}/plugins/org.eclipse.core.resources_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime.compatibility_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime.compatibility.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.core.variables_*
%{_libdir}/%{name}/plugins/org.eclipse.debug.core_*
%{_libdir}/%{name}/plugins/org.eclipse.debug.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.ds_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.event_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.jetty_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.servlet_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.jsp.jasper_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.jsp.jasper.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.help.appserver_*
%{_libdir}/%{name}/plugins/org.eclipse.help.base_*
%{_libdir}/%{name}/plugins/org.eclipse.help.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.help.webapp_*
%{_libdir}/%{name}/plugins/org.eclipse.jface.text_*
%{_libdir}/%{name}/plugins/org.eclipse.jsch.core_*
%{_libdir}/%{name}/plugins/org.eclipse.jsch.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.ltk.core.refactoring_*
%{_libdir}/%{name}/plugins/org.eclipse.ltk.ui.refactoring_*
%{_libdir}/%{name}/plugins/org.eclipse.platform_*
%{_libdir}/%{name}/plugins/org.eclipse.platform.doc.user_*
%{_libdir}/%{name}/plugins/org.eclipse.search_*
%{_libdir}/%{name}/plugins/org.eclipse.team.core_*
%{_libdir}/%{name}/plugins/org.eclipse.team.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.text_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.browser_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.cheatsheets_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.console_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.editors_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.externaltools_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.forms_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.ide_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.ide.application_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.intro_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.intro.universal_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.navigator_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.navigator.resources_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.net_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.presentations.r21_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.views_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.views.properties.tabbed_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.workbench.compatibility_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.workbench.texteditor_*
%{_libdir}/%{name}/plugins/org.eclipse.update.core_*
%{_libdir}/%{name}/plugins/org.eclipse.update.scheduler_*
%{_libdir}/%{name}/plugins/org.eclipse.update.ui_*
%{_libdir}/%{name}/plugins/org.mortbay.jetty.util_*
%{_libdir}/%{name}/plugins/org.mortbay.jetty.server_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.initializer_*
%{_libdir}/%{name}/plugins/org.eclipse.team.cvs.core_*
%{_libdir}/%{name}/plugins/org.eclipse.cvs_*
%{_libdir}/%{name}/plugins/org.eclipse.team.cvs.ssh2_*
%{_libdir}/%{name}/plugins/org.eclipse.team.cvs.ui_*
%{_libdir}/%{name}/plugins/org.apache.jasper_*
%{_libdir}/%{name}/features/org.eclipse.cvs_*
%{_libdir}/%{name}/features/org.eclipse.help_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.frameworkadmin_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.frameworkadmin.equinox_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.simpleconfigurator.manipulator_*
%{_libdir}/%{name}/features/org.eclipse.equinox.p2.core.feature_*
%{_libdir}/%{name}/features/org.eclipse.equinox.p2.extras.feature_*
%{_libdir}/%{name}/features/org.eclipse.equinox.p2.rcp.feature_*
%{_libdir}/%{name}/features/org.eclipse.equinox.p2.user.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.director_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.core_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.engine_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.jarprocessor_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.metadata_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.metadata.repository_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.artifact.repository_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.touchpoint.eclipse_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.touchpoint.natives_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.console_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ql_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.operations_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.transport.ecf_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ui.importexport_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ui.sdk_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ui.sdk.scheduler_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.updatechecker_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.garbagecollector_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.directorywatcher_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.publisher_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.publisher.eclipse_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.repository_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.repository.tools_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.reconciler.dropins_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.updatesite_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.security_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.security.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.extensionlocation_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.director.app_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.provider.filetransfer_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.provider.filetransfer.httpclient_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.provider.filetransfer.httpclient.ssl_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.provider.filetransfer.ssl_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.ssl_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.filetransfer_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.identity_*
%{_libdir}/%{name}/plugins/org.apache.commons.codec_*
%{_libdir}/%{name}/plugins/org.apache.commons.httpclient_*
%{_libdir}/%{name}/plugins/org.sat4j.core_*
%{_libdir}/%{name}/plugins/org.sat4j.pb_*
# Put this in -platform since we're putting the p2 stuff here
%{_libdir}/%{name}/artifacts.xml
# FIXME: should we ship content.xml for the platform?
#%{_libdir}/%{name}/metadata
%verify(not md5 size mtime) %{_libdir}/%{name}/p2

%files jdt
%defattr(-,root,root)
%{_bindir}/efj
%{_libdir}/%{name}/dropins/jdt

%files pde
%defattr(-,root,root)
%{_libdir}/%{name}/buildscripts
%{_libdir}/%{name}/dropins/sdk

%post equinox-osgi
%update_maven_depmap

%postun equinox-osgi
%update_maven_depmap

%files equinox-osgi
%{_javadir}/eclipse-osgi.jar
%{_javadir}/eclipse-osgi-services.jar
%{_javadir}/eclipse-osgi-util.jar
%{_libdir}/%{name}/plugins/org.eclipse.osgi_*
%{_libdir}/%{name}/plugins/org.eclipse.osgi.services_*
%{_libdir}/%{name}/plugins/org.eclipse.osgi.util_*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*


%changelog

* Thu Dec 08 2011 dmorgan <dmorgan> 1:3.7.1-3.mga2
+ Revision: 178984
- Rebuild against new xulrunner

* Fri Nov 25 2011 dmorgan <dmorgan> 1:3.7.1-2.mga2
+ Revision: 171782
- Try to fix eclipse-reconciler.sh usage

* Wed Nov 23 2011 gil <gil> 1:3.7.1-1.mga2
+ Revision: 171289
- fixed release
- removed unpackaged files: %%{_libdir}/%%{name}/plugins/org.apache.lucene_*
- update to 3.7.1
- added %%post %%postun script for:\n * eclipse-jdt\n * eclipse-pde
- correct SO
- update to 3.7.0 Final; added reconciler fedora script; built with last eclipse-build; added new sub package: equinox-osgi with mvn support (Spring Framework 3.x BR); removed patch1 (integrated in S0)

  + dmorgan <dmorgan>
    - Remove all metadata files created by the reconciler before
      uninstallation.
    - Install .so extraction file.
    - Extract .so files when the reconciler is run with -clean
    - Correct verification for files edited by the reconciler.
    - Do not install state files.
    - Add Requires post and postun platform to jdt and pde on
    - Add new script eclipse-reconciler.sh
    - Run eclipse-reconciler.sh in the post and postun sections of jdt
      and post seciton on platform.
    - Remove all old profiles in %%pre rcp.

* Thu Sep 22 2011 dmorgan <dmorgan> 1:3.7.0-5.mga2
+ Revision: 146555
- Disable initialize
- Rebuild against new libpng
- Fix groups
- Fix path in bindir ( mga #2245)
- Remove useless macros ( handled in filetriggers )
- Add rsync as Buildrequires
- Fix file list
- Fix sources
  Fix icu4j-eclipse requires
  Fix spec file
- New e-b snapshot to update build on 3.7 Final
- New e-b snapshot to update build on 3.7 RC4
- Added usage of features back
- New e-b snapshot to update build on 3.7 RC3
- removed efj as it's part of eclipse-build now
- removed usage of features
- Fix source 0
- Update to ECLIPSE 3.7.0rc1
- Rebuild against new webkit

  + fwang <fwang>
    - rebuild for new libpng

  + gil <gil>
    - fixed broken swt jar link

* Mon Jun 13 2011 cjw <cjw> 1:3.6.2-13.mga2
+ Revision: 105773
- drop conflicts on mozilla (original name of iceape pkg)

* Sun Apr 17 2011 stormi <stormi> 1:3.6.2-12.mga1
+ Revision: 87457
- fix RPM groups

* Sat Mar 26 2011 blino <blino> 1:3.6.2-11.mga1
+ Revision: 77837
- create swt.jar symlink in jnidir (/usr/lib/java), not libdir/java

* Thu Mar 17 2011 dmorgan <dmorgan> 1:3.6.2-10.mga1
+ Revision: 73015
- Change Requires to current libwebkitgtk
- Change buildrequires to current libwebkitgtk-devel

* Tue Mar 15 2011 dmorgan <dmorgan> 1:3.6.2-9.mga1
+ Revision: 71580
- Fix jetty requires

* Tue Mar 15 2011 dmorgan <dmorgan> 1:3.6.2-8.mga1
+ Revision: 71553
- Fix hamcrest require

* Tue Mar 15 2011 dmorgan <dmorgan> 1:3.6.2-7.mga1
+ Revision: 71549
- Enable initialize

* Tue Mar 15 2011 dmorgan <dmorgan> 1:3.6.2-6.mga1
+ Revision: 71545
- Fix file list
- Add libsoup-devel as buildrequire
- Rebuild with new xulrunner

* Tue Mar 15 2011 dmorgan <dmorgan> 1:3.6.2-4.mga1
+ Revision: 71485
- Update to eclipse 3.6.2

* Mon Mar 14 2011 dmorgan <dmorgan> 1:3.6.1-4.mga1
+ Revision: 71439
- Rebuild to extract .so

* Fri Mar 11 2011 dmorgan <dmorgan> 1:3.6.1-3.mga1
+ Revision: 68302
- Fix requires into icu4j-eclipse
- Remove unneeeded patch
- Remove patch4 not needed anymore
  Remove BuildRoot

* Tue Mar 08 2011 dmorgan <dmorgan> 1:3.6.1-2.mga1
+ Revision: 66713
- Bump release
- Try to build without bootstrap

* Mon Mar 07 2011 dmorgan <dmorgan> 1:3.6.1-1.mga1
+ Revision: 66228
- Fix file list
- Turn initialize to 0
- Add zip as buildrequire
- Fix deps
- Add icu4j-eclipse as BR
- Fix buildrequires
- Enable lucene
- Change deps
- Fix buildrequires
- Add patch to _start_ to build in bootstrap mode
- Add better  debug
- Build with debug
- Use Mageia word
- Fix spec file ( copy/paste error)
- Revert to mdv eclipse for now
- Wrong solution found i have , in apache.commons.codec the force will be
- Add fixes for org.apache.commons.codec
- Fix java require
- we really need the bootstrap for now
- Fix typo
- Build without bootstrap
- Fix buildroot
- Rename org.apache.commons.httpclient_3.1
- Fix build
- Add java-rpmbuild as buildrequire
- Fix 2 buildRequires
- Fix 2 buildRequires
- Fix 2 buildRequires
- New version
  Sync with fedora
  Enable bootstrap
- Remove mandriva occurencies
- imported package eclipse

  + pterjan <pterjan>
    - Change version dependency for org.apache.commons.el


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.4.2-0.2.4mdv2011.0
+ Revision: 605331
- fix build
- rebuild

* Wed Mar 10 2010 Frederic Crozat <fcrozat@mandriva.com> 1:3.4.2-0.2.3mdv2010.1
+ Revision: 517440
- Force rebuild to try to get eclipse-pde back on repository

* Mon Feb 01 2010 Frederic Crozat <fcrozat@mandriva.com> 1:3.4.2-0.2.2mdv2010.1
+ Revision: 499205
- force rebuild

  + Michael Scherer <misc@mandriva.org>
    - update eclipse-ecj-gcj tarball from cvs, as this fix #44372
      kudos to Andrey Bondrov for the fix

* Sat May 23 2009 Jerome Martin <jmartin@mandriva.org> 1:3.4.2-0.2.0mdv2010.0
+ Revision: 379022
- Fixed link pb (bug #51148)

* Mon Mar 02 2009 Jérôme Soyer <saispo@mandriva.org> 1:3.4.2-0.2.0mdv2009.1
+ Revision: 347361
- Fix icu4j files

* Mon Mar 02 2009 Jérôme Soyer <saispo@mandriva.org> 1:3.4.2-0.1.0mdv2009.1
+ Revision: 347114
- Fix icu4j dir
- New upstream release

* Mon Jan 12 2009 Jérôme Soyer <saispo@mandriva.org> 1:3.4.1-0.14.0mdv2009.1
+ Revision: 328669
- Fix splashscreen

* Mon Jan 12 2009 Jérôme Soyer <saispo@mandriva.org> 1:3.4.1-0.13.0mdv2009.1
+ Revision: 328560
- Fix symlink
- fix build
- Fix patch42
- Fix Source0
- Missing sync patches...
- Include some patch for fixing problems

* Tue Jan 06 2009 Jérôme Soyer <saispo@mandriva.org> 1:3.4.1-0.12.2mdv2009.1
+ Revision: 325506
- Fix another shell scripts
- Fix shell scripts

* Mon Jan 05 2009 Jérôme Soyer <saispo@mandriva.org> 1:3.4.1-0.12.1mdv2009.1
+ Revision: 325138
- Mandriva Custom

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 1:3.4.1-0.12.0mdv2009.1
+ Revision: 324275
- New upstream release
- New upstream release

* Fri Sep 26 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:3.4.0-0.22.3mdv2009.0
+ Revision: 288591
- BR tomcat5-jsp-2.0-api

* Sat Sep 20 2008 Anssi Hannula <anssi@mandriva.org> 1:3.4.0-0.22.2mdv2009.0
+ Revision: 286261
- provide swt.jar in _jnidir instead of _libdir/java (fixes swt on x86_64)

* Thu Aug 28 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:3.4.0-0.22.1mdv2009.0
+ Revision: 276803
- add test framework

* Tue Aug 12 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:3.4.0-0.19.2mdv2009.0
+ Revision: 271182
- fix pdebuild script
- try to symlink swt.jar in /usr/lib/java

* Tue Aug 12 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:3.4.0-0.19.1mdv2009.0
+ Revision: 271058
- make jdt a dropin not an extension
- create jnidir
- don't link swt.jar in _libdir/java only in _jnidir
- symlink swt.jar in _jnidir

* Fri Aug 08 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:3.4.0-0.18.1mdv2009.0
+ Revision: 267818
- own dropins/jdt

* Fri Aug 08 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:3.4.0-0.17.1mdv2009.0
+ Revision: 267805
- really use uname -m
- change uname -p to uname -m for correct arch detection
- add %%{_datadir}/eclipse/droping (sync with fc)
- BR zip
- fix groups
- new version 3.4

* Sun Jun 29 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:3.3.2-0.9.4mdv2009.0
+ Revision: 230074
- build everything with target 1.6 for the apt things

* Mon Jun 23 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:3.3.2-0.9.3mdv2009.0
+ Revision: 228281
- rebuilt due to PayloadIsLzma problems

* Sun Jun 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:3.3.2-0.9.2mdv2009.0
+ Revision: 227868
- add missing tomcat5-jasper-eclipse require, disable gcj_compile

* Sat Apr 19 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:3.3.2-0.9.1mdv2009.0
+ Revision: 195767
- new version

* Tue Feb 26 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:3.3.1.1-0.14.7mdv2008.1
+ Revision: 175187
- fix internal web browser loading

* Fri Jan 18 2008 David Walluck <walluck@mandriva.org> 1:3.3.1.1-0.14.6mdv2008.1
+ Revision: 154534
- gcj_support does not imply a Requires on java-1.5.0-gcj-javadoc

* Thu Jan 17 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:3.3.1.1-0.14.5mdv2008.1
+ Revision: 154060
- do not remove already removed jar
- bump release
- fix conflict with tomcat5-jasper-eclipse

* Wed Jan 16 2008 David Walluck <walluck@mandriva.org> 1:3.3.1.1-0.14.4mdv2008.1
+ Revision: 153591
- rebuild

  + Anssi Hannula <anssi@mandriva.org>
    - move jdt.core component from eclipse-ecj to eclipse-jdt and drop
      eclipse-ecj in favor of a new standalone ecj package

  + Alexander Kurtakov <akurtakov@mandriva.org>
    - fix build with tomcat 5.5.25

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 26 2007 David Walluck <walluck@mandriva.org> 1:3.3.1.1-0.14.2mdv2008.1
+ Revision: 137817
- use %%{_jvmdir}/java-gcj/bin/java explicitly for %%{_bindir}/ecj and %%{_bindir}/efj

* Thu Dec 20 2007 David Walluck <walluck@mandriva.org> 1:3.3.1.1-0.14.1mdv2008.1
+ Revision: 135367
- force inclusion of jre/lib/amd64 for icedtea x86-64 workaround
- sync with fedora 14

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Mon Nov 26 2007 David Walluck <walluck@mandriva.org> 1:3.3.1.1-0.10.2mdv2008.1
+ Revision: 112008
- bump release
- fix file conflict with icu4j-eclipse
- export LD_LIBRARY_PATH for firefox

* Sun Nov 25 2007 David Walluck <walluck@mandriva.org> 1:3.3.1.1-0.10.1mdv2008.1
+ Revision: 111840
- fix inclusion of %%{_libdir}/gcj/org.eclipse.ui.ide
- fix file list
- BuildRequires: zip
- 3.3.1.1-10

* Sun Nov 18 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.30.1mdv2008.1
+ Revision: 109784
- add maxpermsize patch from Fedora
- patch for jsch

* Sun Oct 21 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.27.3mdv2008.1
+ Revision: 101059
- do not depend on a specific firefox version

* Sat Oct 20 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.27.2mdv2008.1
+ Revision: 100589
- rebuild for new firefox

* Mon Oct 15 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.27.1mdv2008.1
+ Revision: 98413
- add versioned and unversioned swt-gtk and swt symlinks
- remove Encoding=UTF-8 from eclipse.desktop
- add org.fedoraproject.ide.feature-1.0.0.zip
- sync with fedora for fedora feature bugfixes
- add missing patch
- add 17vmgenerate16bytecode patch (from Fedora)
- fix java5.home sed line
- fix the eclipse.product in %%install, not post (bug #34399)

* Sat Sep 29 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.20.8mdv2008.0
+ Revision: 93915
- set CONFIGURATION_DIR
- really use old launch script

* Thu Sep 27 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.20.7mdv2008.0
+ Revision: 93222
- set better values for VM_ARGS
- reintroduce eclipse.conf and old launch script
- remove requires on firefox-devel
- explicitly set MOZILLA_FIVE_HOME to fix loading of firefox
- version Provides and fix Obsoletes versions
- fix the eclipse.product if necessary

* Sat Sep 22 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.20.3mdv2008.0
+ Revision: 92120
- don't install or set product to rg.fedoraproject.ide.platform

* Fri Sep 21 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.20.2mdv2008.0
+ Revision: 91708
- bump release
- Don't force java >= 1.6.0 requirement
- sync with fc to remove subclipse, changelog, rpm-editor, and mylyn requirements

* Tue Sep 18 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.19.3mdv2008.0
+ Revision: 89916
- rebuild
- remove some eclipse Requires (especially eclipse-rpm-editor to allow building)

  + Anssi Hannula <anssi@mandriva.org>
    - require java-gcj for ecj

* Mon Sep 17 2007 Olivier Blin <oblin@mandriva.com> 1:3.3.0-0.18.4mdv2008.0
+ Revision: 89119
- rebuild because of package loss

* Sun Sep 16 2007 Anssi Hannula <anssi@mandriva.org> 1:3.3.0-0.18.3mdv2008.0
+ Revision: 88734
- use system junit
- fix icon, encoding, categories of desktop entry
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

  + David Walluck <walluck@mandriva.org>
    - bump release
    - we call jetty5 jetty5, whereas fc calls it jetty
    - enable gcj_support for all archs
    - install fc's eclipse script
    - sync with 18fc

* Fri Aug 31 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.9.1mdv2008.0
+ Revision: 77167
- sync with 9fc
- change default vm args

* Tue Aug 21 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.8.1mdv2008.0
+ Revision: 68690
- remove dup junit4 removal
- sync with 8fc

* Wed Aug 08 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.5.4mdv2008.0
+ Revision: 60576
- own %%{_libdir}/%%{name}/features

* Wed Aug 08 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.5.3mdv2008.0
+ Revision: 60082
- Requires: icu4j-eclipse

* Tue Aug 07 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.5.2mdv2008.0
+ Revision: 59992
- remove some whitespace

* Tue Aug 07 2007 David Walluck <walluck@mandriva.org> 1:3.3.0-0.5.1mdv2008.0
+ Revision: 59646
- don't fork the Jasper compiler
- fix file list
- org.eclipse.ui.ide.application_* is not being built for some reason
- fix sed for efj
- remove ant-bsf, ant-commons-net, and ant-jmf before linking
- whitespace fix
- sync eclipse-ecj-gcj.patch with fc
- modify efj.sh.in with @gccsuffix@ as done in ecj.sh.in
- fix ant symlinks
- set javaHome=%%{java_home} in library/gtk/build.sh
- explicitly require java-1.5.0-gcj-javadoc for build
- link to full jasper5 jar
- sync with latest fedora
- link in jars that now have osgi manifests
- better comments on fedora bugs
- initial work on eclipse 3.3

  + Anssi Hannula <anssi@mandriva.org>
    - replace direct call to ant with %%ant

* Sun Jul 01 2007 Anssi Hannula <anssi@mandriva.org> 1:3.2.2-15.2mdv2008.0
+ Revision: 46801
- use %%gcj and %%gcj_dbtool
- build with system gcc and g++

* Sat Jun 30 2007 Anssi Hannula <anssi@mandriva.org> 1:3.2.2-15.1mdv2008.0
+ Revision: 46136
- fix filelist
- adapt for new tomcat

  + David Walluck <walluck@mandriva.org>
    - put back original junit support
    - (Build)Requires: junit4
    - sync with latest FC release for Java 1.5/1.7 support

* Thu Jun 28 2007 Anssi Hannula <anssi@mandriva.org> 1:3.2.2-8.3mdv2008.0
+ Revision: 45506
- build with gcc4.3

  + David Walluck <walluck@mandriva.org>
    - set correct GCC version (dynamically) in %%{_bindir}/ecj

* Sun Jun 24 2007 Anssi Hannula <anssi@mandriva.org> 1:3.2.2-8.2mdv2008.0
+ Revision: 43605
- fix firefox defines for submitting

  + David Walluck <walluck@mandriva.org>
    - rebuild for new firefox

* Tue May 01 2007 David Walluck <walluck@mandriva.org> 1:3.2.2-8.1mdv2008.0
+ Revision: 19859
- sync with latest fc spec

* Sat Apr 28 2007 David Walluck <walluck@mandriva.org> 1:3.2.2-3.5mdv2008.0
+ Revision: 18914
- sync
- add ecj.jar symlink for JPackage compatibility


* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 1:3.2.2-3.4mdv2007.1
+ Revision: 148400
- Rebuild with latest firefox

  + David Walluck <walluck@mandriva.org>
    - minor fixes

* Fri Mar 16 2007 David Walluck <walluck@mandriva.org> 1:3.2.2-3.2mdv2007.1
+ Revision: 145311
- try to fix conflict with JPackage ecj package

* Fri Mar 16 2007 David Walluck <walluck@mandriva.org> 1:3.2.2-3.1mdv2007.1
+ Revision: 144705
- fix disable-junit4-apt patch
- sync with 3.2.2-3.fc7

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - fix typo in postun for eclipse-sdk

* Tue Mar 13 2007 David Walluck <walluck@mandriva.org> 1:3.2.2-1.9mdv2007.1
+ Revision: 143251
- fix ecj provides

* Mon Mar 12 2007 David Walluck <walluck@mandriva.org> 1:3.2.2-1.8mdv2007.1
+ Revision: 141954
- fix JAVA_HOME setting in Makefile
- allow jsch jar

* Mon Mar 12 2007 David Walluck <walluck@mandriva.org> 1:3.2.2-1.5mdv2007.1
+ Revision: 141543
- build jsch

  + Anssi Hannula <anssi@mandriva.org>
    - fix embedded mozilla browser
    - require only libmozilla-firefox in swt and platform packages
    - replace filename require with package name in eclipse-sdk
    - add swt shared object symlinks back to libdir
    - move swt jar symlinks to jnidir

* Sun Mar 11 2007 David Walluck <walluck@mandriva.org> 1:3.2.2-1.4mdv2007.1
+ Revision: 141375
- require mozilla-firefox not firefox

* Sun Mar 11 2007 David Walluck <walluck@mandriva.org> 1:3.2.2-1.3mdv2007.1
+ Revision: 141371
- replace tabs with spaces
- re-enable osgi for now
- be sure to create libswt3-gtk2.install
- disable junit4-apt on x86
- 3.2.2
- bump release
- fix build
- bump release
- sync better with 37fc
- add ant manifest, xpcom, and native presentation patches (from Debian)
- sync with 37fc

  + Anssi Hannula <anssi@mandriva.org>
    - fix build by dropping patch200 (ant-manifest, from debian)
    - use ant option fork="yes" to fix 64bit code generation
    - drop patch201 (modified generated code)

* Thu Feb 15 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:3.2.1-4.3mdv2007.1
+ Revision: 121435
- use %%{sunsparc} macro

  + David Walluck <walluck@mandriva.org>
    - update (Build)Requires and symlinks for ant 1.7.0
    - fix build with firefox
    - bump release
    - fix firefox patch
    - don't try to remove icu4j twice
    - don't require icu4j to build
    - build icu4j internally for now
    - fix icu4j version
    - update patches
    - 3.2.1
    - Import eclipse

* Tue Sep 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1:3.2.0-12.3mdv2007.0
- Fix firefox dependency

* Sun Sep 03 2006 David Walluck <walluck@mandriva.org> 0:3.2.0-12.2mdv2007.0
- fix jsch jar creation

* Sun Aug 27 2006 David Walluck <walluck@mandriva.org> 0:3.2.0-12mdv2007.0
- (Build)Requires: ant-manifest-only
- sync with 12fc

* Sat Aug 05 2006 David Walluck <walluck@mandriva.org> 0:3.2.0-10mdv2007.0
- use sed for tomcat version
- add xpcom patch

* Sun Jul 23 2006 David Walluck <walluck@mandriva.org> 0:3.2.0-5mdv2007.0
- add ecj-gcj patch
- use a different fix for swt symlink

* Fri Jul 21 2006 David Walluck <walluck@mandriva.org> 0:3.2.0-3mdv2007.0
- fix CLASSPATH
- fix build

* Mon Jul 10 2006 David Walluck <walluck@mandriva.org> 0:3.2.0-2mdv2007.0
- fix run on x86-64
- fix swt symlink
- use %%update_icon_cache and %%clean_icon_cache

* Sun Jul 09 2006 David Walluck <walluck@mandriva.org> 0:3.2.0-1mdv2007.0
- 3.2.0

* Tue Jun 06 2006 David Walluck <walluck@mandriva.org> 0:3.1.2-7mdv2007.0
- make symlink for jdtcore.jar (bug #22574)
- replace %%{_datadir}/java with %%{_javadir}

* Tue Jun 06 2006 David Walluck <walluck@mandriva.org> 0:3.1.2-6mdv2007.0
- fix ecj script

* Wed Apr 26 2006 David Walluck <walluck@mandriva.org> 0:3.1.2-5mdv2007.0
- rebuild for libgcj.so.7
- remove explicit libgcj dependency

* Thu Apr 13 2006 David Walluck <walluck@mandriva.org> 0:3.1.2-4mdk
- modify rebuild-sdk-features to exit silently if no configuration
  exists

* Wed Apr 12 2006 David Walluck <walluck@mandriva.org> 0:3.1.2-3mdk
- sync with 1jpp_13fc

* Mon Apr 10 2006 David Walluck <walluck@mandriva.org> 0:3.1.2-2mdk
- fix tomcat version and require it explicitly (bug #21681)
- disable install into %%{_datadir}/%%{name}/configuration
  (bug #21682)
- append -mdk to CONFIGURATION_DIR in eclipse.conf and don't set
  USER_DIR in eclipse.conf, but no patch for now (bug #21694)
- make eclipse-platform require ant-jai and ant-jmf (bug #21694) 
- rebuild to fix mozilla-firefox dependencies (bug #21858)
- fix setting of VM_OPTS in /usr/bin/eclipse and set
  VM_OPTS="-Dgnu.gcj.runtime.VMClassLoader.library_control=never"
  (bug #21883)
- use eclipse png icons included in platform plugin

* Tue Feb 07 2006 David Walluck <walluck@mandriva.org> 0:3.1.2-1mdk
- 3.1.2
- add Debian menu
- use gcjdb macros

* Thu Jan 12 2006 David Walluck <walluck@mandriva.org> 0:3.1.1-8mdk
- fix file conflict between eclipse-ecj and eclipse-jdt

* Thu Jan 05 2006 David Walluck <walluck@mandriva.org> 0:3.1.1-7mdk
- sync with 3.1.1-1jpp_15fc
- link against mozilla-firefox
- remove extra description

* Fri Nov 11 2005 David Walluck <walluck@mandriva.org> 0:3.1.1-6mdk
- sync with 3.1.1-1jpp_6fc (enable cairo)

* Sun Nov 06 2005 David Walluck <walluck@mandriva.org> 0:3.1.1-5mdk
- patch launchersrc

* Mon Oct 31 2005 David Walluck <walluck@mandriva.org> 0:3.1.1-4mdk
- replace firefox by mozilla until at least mozilla works
- fix loading of mozilla
- add patches from Debian (mozilla l&f and disable motif)

* Tue Oct 25 2005 David Walluck <walluck@mandriva.org> 0:3.1.1-3mdk
- add back changes to eclipse{.conf,.script,-libswt-mozilla.patch}
- require lucene-src

* Fri Oct 14 2005 David Walluck <walluck@mandriva.org> 0:3.1.1-2mdk
- apply patch for eclipse bug #111299
- add BuildRequires for desktop-file-utils

* Thu Oct 13 2005 David Walluck <walluck@mandriva.org> 0:3.1.1-1mdk
- 3.1.1
- fix libswt symlinks

* Sun Sep 18 2005 David Walluck <walluck@mandriva.org> 0:3.1.0-8mdk
- cairo 1.0 doesn't work out of the box

* Wed Sep 14 2005 David Walluck <walluck@mandriva.org> 0:3.1.0-7mdk
- fix build on x86_64
- fix startup script
- fix ant script symlinks

* Mon Sep 12 2005 David Walluck <walluck@mandriva.org> 0:3.1.0-6mdk
- remove /usr/bin/mozilla requirement for eclipse-platform
- don't enable embedded mozilla-firefox browser by default (crashes)
- use eclipse-ecj (ecj-bootstrap) to build until gcj works again

* Fri Sep 09 2005 David Walluck <walluck@mandriva.org> 0:3.1.0-5mdk
- use mozilla-firefox instead of mozilla

* Wed Sep 07 2005 David Walluck <walluck@mandriva.org> 0:3.1.0-4mdk
- provide and obsolete ecj-bootstrap

* Tue Sep 06 2005 David Walluck <walluck@mandriva.org> 0:3.1.0-3mdk
- simplify mozilla-gtkmozembed cflags and libs

* Tue Sep 06 2005 David Walluck <walluck@mandriva.org> 0:3.1.0-2mdk
- update main and platform description with info about native libs
- remove patch32 (enable cairo)

* Sat Sep 03 2005 David Walluck <walluck@mandriva.org> 0:3.1.0-1mdk
- release

* Fri Jul 29 2005 Gary Benson <gbenson@redhat.com> 3.1.0_fc-12
- Allow leading separators in classpaths (e.o#105430).
- Clear away ant-jmf entirely.

* Thu Jul 28 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-11
- Bump release for FC4 update.

* Tue Jul 26 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-10
- Change mozilla BuildRequirement to be equals and not greater-than or equals
  since we need the exact version for our patches.
- Bump mozilla requirements and patches to 1.7.10.
- Bump release due to FC4 update still not being released.
- Add ant-jmf to exclude list.

* Wed Jul 20 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-7
- Remove ant-jmf symlinking and requirement.
- Update to use java-gcj-compat and not java-1.4.2-gcj-compat.

* Wed Jul 13 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-6
- Bump release to build against new gcc.
- Bump gcc requirement to gcc 4.0.1.
- Add back BuildArch until we get bootstrapping sorted out.
- Bump required version of java-gcj-compat to the latest (-40jpp_37rh).
- Remove lots of jiggery-pokery with native compilation and use gbenson's new
  aot-compile.
- Re-work files sections appropriately.
- Change mozilla-nspr-devel -> nspr-devel due to change in mozilla packaging.
- Update patch for mozilla build as per above.
- Add org.eclipse.osgi_3.1.0.jar to exclude.

* Wed Jul 06 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-5
- Revert ecj_bootstrap patch since it won't work.
- Keep mozilla requirement off ppc64.
- Add ant-apache-bsf requirement since we have that in FC5.

* Wed Jul 06 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-4
- Add ecj_bootstrap patch from Gary Benson to bootstrap new architectures.
- Remove ExclusiveArch.

* Wed Jul 06 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-3
- Bump release for FC4 update.

* Tue Jul 05 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-2
- Remove remaining pre-built ant jars (but don't symlink to ant.jar until we
  have ant 1.6.5 - rh#162444).
- Bump requirement on gcc to get fixes for rh#158614 and gcc#21637.
- Add patch to not try to link to external javadocs and include the javadoc
  output in the build output.
- Add build and runtime requirement on ant-javamail (I'm not sure how we missed
  this previously).

* Tue Jul 05 2005 Gary Benson <gbenson@redhat.com> 3.1.0_fc-2
- Disable classpath access rules introduced in e.o#92398 (rh#162177).

* Wed Jun 29 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-1
- Import 3.1.
- Update splash screen.

* Mon Jun 27 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.RC4.1
- Import 3.1 RC4.
- Remove activeHelpSample.jar building patch as it's now fixed upstream.
- Add patch to remove references to cairo since we don't have it in FC4.
- Add about.html and about_files to eclipse-platform.install (x86 & x86_64).
- Add patch to create public compare API (jpound - e.o#98707).
- Add patch from Robin Green to not look for firefox libxpcom.so (rh#161658).
- Symlink lucene jars (rh#159939).

* Sat Jun 25 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.RC3.3
- Add rcp requirement for platform (rh#161267).
- Add un-owned osgi directories to libswt and platform.

* Wed Jun 22 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.RC3.2
- Use SWT bundle ID for SWT %%files list (determine in %%install).

* Tue Jun 21 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.RC3.1
- Import 3.1RC3.
- Use FileInitializer (e.o#90535) - this should eliminate .sos in ~/.eclipse.
- Add eclipse-filenamepatterns.txt ("*.so" currently) for above.
- Symlink JNI libraries.

* Sat Jun 18 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.RC2.2
- Update to new naming scheme for resulting gzipped tarball.
- Add patch to not generate help indices (it seems to hang).

* Fri Jun 17 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.RC2.1
- Import 3.1RC2.
- Add RCP sub-package.  Unsure about its dependencies ATM.

* Wed Jun 15 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M7.9
- Add tomcat5 patch and symlinks.

* Fri May 27 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M7.8
- Fix ant jar removal (gbenson).

* Thu May 26 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M7.7
- Fix ecj symlink in /usr/share/java (rh#158734).

* Mon May 23 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M7.4
- Remove compilation of jdt.ui jar.so on ppc.

* Sun May 22 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M7.3
- Add ecj-options patch to bootstrap source.
- Make embedded browser widget work (Robin Green).
- Bump required version of java-gcj-compat to the latest (-40jpp_24rh).
- Use -lgcjawt when building with gcj.

* Thu May 19 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M7.2
- Disable org.eclipse.osgi_3.1.0.jar.so.
- Add ecj-options patch, remove ecj-extdirs patch.

* Thu May 19 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M7.1
- Update to 3.1M7.
- Add file initializer patch.
- Temporarily remove s390{,x} patches.
- Update GNU formatter ui patch.
- Add ECJ ext dirs patch.

* Wed May 18 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M6.19
- Add Epoch on eclipse-platform.
- Use %%{_bindir} in post and postun scripts.

* Wed May 18 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M6.18
- Add Epoch to jsch requires.

* Tue May 17 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M6.17
- Update libswt-mozilla patches and require mozilla 1.7.8.

* Sat May 14 2005 Andrew Overholt <overholt@redhat.com>
- Use %%{ix86} macro in ExclusiveArch rather than i386 (jorton).

* Thu May 12 2005 Ben Konrath <bkonrath@redhat.com>
- Add jsch >= 0.1.18-1jpp.
- Remove Fedora specific part of junit version.
- Temporarily disable org.eclipse.ui.forms_3.1.0.jar.so (rh#146463).

* Tue May 10 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M6.16
- Add Requires junit >= 3.8.1-3jpp_4fc to JDT.
- Add -g to gcj calls.

* Fri May 06 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M6.15
- Rebuild with new gjdoc (rh#152049).

* Thu May 05 2005 Ben Konrath <bkonrath@redhat.com>
- Re-enable jdt.ui/jdt.jar.so and require gcj 4.0.0-2 (rh#151296).

* Tue May 03 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M6.14
- Replace temporary patch to debug.ui with upstream patch to swt (rh#155853).

* Sun May 01 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M6.13
- Add patch to temporarily stop an NPE in debug.ui (rh#155853).

* Fri Apr 29 2005 Phil Muldoon <pmuldoon@redhat.com>
- Allow multiple optional arguments in eclipse-copy-platform.sh

* Thu Apr 28 2005 Andrew Overholt <overholt@redhat.com>
- Include epoch in mozilla BuildRequires.
- Remove last remaining gij-specific option from eclipse.script.

* Thu Apr 28 2005 Jeremy Katz <katzj@redhat.com> 3.1.0_fc-0.M6.12
- silence %%post

* Mon Apr 25 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M6.11
- Re-add osgi.jar.so since gcj fix is in our gcc RPMs.
- Bump gcc requirements accordingly.
- Add gcc-c++ to BuildRequires (for SWT Mozilla).
- Add specific java-1.4.2-gcj-compat nvr requirement (rh#151866).

* Sat Apr 23 2005 Aaron Luchko <aluchko@redhat.com> 3.1.0_fc-0.M6.10
- Import archived projects (e.o#82988)

* Sat Apr 23 2005 Andrew Overholt <overholt@redhat.com>
- Add Requires(post,postun): java-1.4.2-gcj-compat for each sub-package and use
  full path (Joe Orton).
- Make /usr/bin/eclipse executable again (rh#155715).
- Bump jsch version.

* Fri Apr 22 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M6.9
- Use upstream icons (not RHDS ones) (rh#146484).
- Add plugin directories to %%files sections.
- Rework %%files sections a bit.
- Fix SWT symlink (bkonrath).
- Temporarily remove jdt.ui/jdt.jar.so.

* Fri Apr 22 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M6.8
- Fix updatesite patch.
- Temporarily remove org.eclipse.ui.workbench_3.1.0.jar.so (r.c#151919)

* Tue Apr 19 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M6.7
- Add %%if %%{gcj_support} blocks.
- Add %%{_libdir}/%%{name}/plugins to native %%files section of each sub-rpm.
- Add GNU-style JDT code formatting option (e.o#91770).
- Add patch to install plugins from update site in home dir (e.o#90630).
- Change gcc-java requirements to libgcj as gcj-dbtool is now in the latter.

* Tue Apr 19 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M6.6
- Bump version number.

* Tue Apr 19 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M6.5
- Update mozilla patch.

* Sun Apr 17 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M6.4
- Update to 3.1M6.
- Change bootstrap procedure to match the upstream method.
- Remove patches that were fixed upstream. 
- Add efj wrapper script.

* Thu Apr 14 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M5.20
- Fix the bootstrap patch (the ecj jar was missing some files).

* Wed Apr 13 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M5.19
- Add Requires(post,postun): java-1.4.2-gcj-compat for rebuild-gcj-db (Joe
  Orton).
- Add ecj binary.

* Thu Apr 07 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M5.18
- Fix typo in gcj db building loops.
- Add -O1 to x86_64 jar.so compilation.
- Add EFJ (Eclipse Formatter for Java) patches (bkonrath) (e.o#75333).
- Add patch to build swttools.jar (e.o#90364).
- Symlink out to ant-jsch now that we have that.

* Tue Apr 05 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M5.17
- Actually insert .jar-.jar.so combinations into sub-dbs.

* Fri Apr 01 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M5.16
- Fix eclipse.script to not leave a sh process around (Joe Orton)
- Use proper sub-dbs.
- Don't compile jars that are symlinked from elsewhere.
- Add jar-so combinations to .db based on .jar.so existence (not .jar).
- Rename sub-dbs to be eclipse-*.db.
- Use rebuild-gcj-db script.

* Tue Mar 29 2005 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 3.1.0_fc-0.M5.14
- Update the GTK+ theme icon cache on (un)install

* Fri Mar 18 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M5.13
- Re-add compilation of resources.jar.
- Backport bootstrapping patch.
- Add Requires: java-1.4.2-gcj-compat.
- Modified find patch courtesy Ziga Mahkovec (RH#149927#).
- Compile with -O2 on ppc as well.
- Add jsch, jakarta-commons-modeler, and mx4j symlinking.
- Make use of gcj-dbtool -f to create databases in install.
- Use system-wide classmap.db.
- Remove *.jarswithnativelibs from files sections.
- Update mozilla dependency.

* Mon Mar 07 2005 Ben Konrath <bkonrath@redhat.com> 3.1.0_fc-0.M5.12
- Add activeHelpSample.jar patch.
- Change to Fedora M-build splash screen.
- Add find patch courtesy Ziga Mahkovec (RH#149927#)
- Build native stuff with -O2 on i386.

* Mon Mar 07 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M5.11
- Add s390 and s390x patches.
- Don't build for them, though, due to gcc bug and Eclipse building issue.
- Add xorg-x11-devel BuildRequires.

* Fri Mar 04 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M5.10
- Add proper mozilla version.
- Don't build eclipseAdaptor.jar.so in order to work around plugin building
  problems.

* Thu Mar 03 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M5.9
- Add patch to build libswt-mozilla.
- Build libswt-awt.
- Add 64-bit swt lib list.

* Tue Mar 01 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M5.8
- Add ppc.
- Add patch to copy over icon for unsupported (upstream) platforms but don't
  include the source for the launcher.
- gcc4 -> gcc changes.
- Add swt-cairo to 64-bit platforms' %%files.

* Fri Feb 25 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M5.7
- Add tar args patch (e.o #86571).
- New build bootstrapping patches.

* Fri Feb 25 2005 Andrew Overholt <overholt@redhat.com> 3.1.0_fc-0.M5.6
- Re-work how we do the gcj-dbtool magic.
- Don't remove ant-netrexx (need to find an RPM if we can).

* Sun Feb 20 2005 Andrew Overholt <overholt@redhat.com> 1:3.1_fc-0.M5.5
- Build for just i386 and x86_64 for now due to upstream gcc bugs.

* Sun Feb 20 2005 Andrew Overholt <overholt@redhat.com> 1:3.1_fc-0.M5.1
- New 3.1M5a build using upstream build method.
- Re-organize sub-packages (ecj, platform, platform-devel, jdt, jdt-devel, pde,
  pde-devel, fold gtk2 package into platform).
- Move jface and org.eclipse.text into libswt3-gtk2.
- Bring in JPackage symlinks for packages we have in Fedora (David Walluck) and
  put in %%prep.
- Work around x86_64 filename differences.
- Remove xerces, xalan, and xml-commons-apis requirement (and LD_PRELOAD from
  script).
- Bootstrap build.

